Subject: Re: [PATCH v6 5/5] bloom: optimize multiple pathspec items in revision

From: Derrick Stolee <[email-masked]>
Date: Mon, 14 Jul 2025 12:51:56 -0400

On 7/12/2025 5:51 AM, Lidong Yan wrote:
> To enable optimize multiple pathspec items in revision traversal,
> return 0 if all pathspec item is literal in forbid_bloom_filters().
> Add for loops to initialize and check each pathspec item's bloom_keyvec
> when optimization is possible.

The patch itself is good.

> Signed-off-by: Lidong Yan <[email-masked]>
> Signed-off-by: Derrick Stolee <[email-masked]>

Here, I'll just point out that your sign-off should follow mine
because you were the last to touch the patch. In this way, the
sign-off gives a kind of timestamp to who made the most-recent
changes (and that those changes have that person's sign-off,
and may not have been vetted by previous signers).

Thanks,
-Stolee